# PSF-LoginServer - master - net.psforever.services.avatar.AvatarResponse.ChangeExosuit
PSF - LoginServer - master - net.psforever.services.avatar.AvatarResponse.ChangeExosuit
Keywords: PSF LoginServer master net.psforever.services.avatar.AvatarResponse.ChangeExosuit

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    services
-  object AvatarResponse
  Definition Classes
    avatar
- ArmorChanged
- ChangeAmmo
- ChangeExosuit
- ChangeFireMode
- ChangeFireState_Start
- ChangeFireState_Stop
- ChangeLoadout
- ConcealPlayer
- Destroy
- DestroyDisplay
- DropItem
- DropSpecialItem
- EnvironmentalDamage
- EquipmentInHand
- GenericObjectAction
- HitHint
- Killed
- KitNotUsed
- LoadPlayer
- LoadProjectile
- ObjectDelete
- ObjectHeld
- OxygenState
- PlanetsideAttribute
- PlanetsideAttributeSelf
- PlanetsideAttributeToAll
- PlayerState
- ProjectileAutoLockAwareness
- ProjectileExplodes
- ProjectileState
- PutDownFDU
- Release
- Reload
- Response
- Revive
- SendResponse
- SendResponseTargeted
- SetEmpire
- StowEquipment
- TeardownConnection
- TerminalOrderResult
- UseKit
- WeaponDryFire

c

net.psforever.services.avatar.AvatarResponse

# ChangeExosuit

###

#### final case class ChangeExosuit(target_guid: PlanetSideGUID, armor: Int, exosuit: types.ExoSuitType.Value, subtype: Int, last_drawn_slot: Int, new_max_hand: Boolean, old_holsters: List[(Equipment, PlanetSideGUID)], holsters: List[InventoryItem], old_inventory: List[(Equipment, PlanetSideGUID)], inventory: List[InventoryItem], drop: List[InventoryItem], delete: List[(Equipment, PlanetSideGUID)]) extends Response with Product with Serializable

Source
  AvatarServiceResponse.scala

Linear Supertypes
Serializable, Product, Equals, Response, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ChangeExosuit
2. Serializable
3. Product
4. Equals
5. Response
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ChangeExosuit(target_guid: PlanetSideGUID, armor: Int, exosuit: types.ExoSuitType.Value, subtype: Int, last_drawn_slot: Int, new_max_hand: Boolean, old_holsters: List[(Equipment, PlanetSideGUID)], holsters: List[InventoryItem], old_inventory: List[(Equipment, PlanetSideGUID)], inventory: List[InventoryItem], drop: List[InventoryItem], delete: List[(Equipment, PlanetSideGUID)])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val armor: Int
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  val delete: List[(Equipment, PlanetSideGUID)]
8.  val drop: List[InventoryItem]
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  val exosuit: types.ExoSuitType.Value
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  val holsters: List[InventoryItem]
14.  val inventory: List[InventoryItem]
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  val last_drawn_slot: Int
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  val new_max_hand: Boolean
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  val old_holsters: List[(Equipment, PlanetSideGUID)]
22.  val old_inventory: List[(Equipment, PlanetSideGUID)]
23.  def productElementNames: Iterator[String]
    Definition Classes
      Product
24.  val subtype: Int
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  val target_guid: PlanetSideGUID
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Response

### Inherited from AnyRef

### Inherited from Any

### Ungrouped